Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.cache.interceptor
Interface KeyGenerator

All Known Implementing Classes:
  DefaultKeyGenerator

    public interface KeyGenerator

Cache key generator. Used for creating a key based on the given method (used as context) and its parameters.

Since:
  3.1
Author:
  Costin Leau, Chris Beams

Method Summary
`Object` | `generate(Object target, Method method, Object... params)`

Method Detail

### generate

    Object generate(Object target,
                    Method method,
                    Object... params)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD